class_name: Model
config:
  input_layers:
  - [data/genome_data_dir, 0, 0]
  layers:
  - class_name: InputLayer
    config:
      batch_input_shape: !!python/tuple [null, 1000, 4]
      input_dtype: float32
      name: data/genome_data_dir
      sparse: false
    inbound_nodes: []
    name: data/genome_data_dir
  - class_name: Lambda
    config:
      arguments: {}
      function: !!python/tuple ["c\x01\0\0\0\x01\0\0\0\x05\0\0\0S`\x01\0s\"\0\0\0\
          t\0\0j\x01\0t\0\0j\x01\0|\0\0d\x01\0d\x02\0\x83\x01\x01d\x01\0d\x03\0\x83\
          \x01\x01S(\x04\0\0\0Nt\x04\0\0\0axesi\xFF\xFF\xFF\xFFi\xFE\xFF\xFF\xFF(\x02\
          \0\0\0t\x01\0\0\0Kt\a\0\0\0reverse(\x01\0\0\0t\x01\0\0\0x(\0\0\0\0(\0\0\0\
          \0s0\0\0\0build/bdist.linux-x86_64/egg/tfdragonn/models.pyt\f\0\0\0reverse_comp\xF0\
          \x06\0\0s\x02\0\0\0\0\x01", null, null]
      function_type: lambda
      name: reverse_comp
      output_shape: null
      output_shape_type: raw
      trainable: true
    inbound_nodes:
    - - [data/genome_data_dir, 0, 0]
    name: reverse_comp
  - class_name: Convolution1D
    config:
      W_constraint: null
      W_regularizer: null
      activation: linear
      activity_regularizer: null
      b_constraint: null
      b_regularizer: null
      batch_input_shape: !!python/tuple
      - null
      - !!python/object:tensorflow.python.framework.tensor_shape.Dimension {_value: null}
      - !!python/object:tensorflow.python.framework.tensor_shape.Dimension {_value: 1000}
      - !!python/object:tensorflow.python.framework.tensor_shape.Dimension {_value: 4}
      bias: true
      border_mode: valid
      filter_length: 35
      init: he_normal
      input_dim: null
      input_dtype: float32
      input_length: null
      name: conv_layer_1
      nb_filter: 60
      subsample_length: 1
      trainable: true
    inbound_nodes:
    - - [data/genome_data_dir, 0, 0]
    - - [reverse_comp, 0, 0]
    name: conv_layer_1
  - class_name: Activation
    config: {activation: relu, name: activation_2, trainable: true}
    inbound_nodes:
    - - [conv_layer_1, 1, 0]
    name: activation_2
  - class_name: Activation
    config: {activation: relu, name: activation_1, trainable: true}
    inbound_nodes:
    - - [conv_layer_1, 0, 0]
    name: activation_1
  - class_name: Lambda
    config:
      arguments: {}
      function: !!python/tuple ["c\x01\0\0\0\x01\0\0\0\x04\0\0\0S`\x01\0s\x13\0\0\0\
          t\0\0j\x01\0|\0\0d\x01\0d\x02\0\x83\x01\x01S(\x03\0\0\0Nt\x04\0\0\0axesi\x01\
          \0\0\0(\x02\0\0\0t\x01\0\0\0Kt\a\0\0\0reverse(\x01\0\0\0t\x01\0\0\0x(\0\0\
          \0\0(\0\0\0\0s0\0\0\0build/bdist.linux-x86_64/egg/tfdragonn/models.pyt\x12\
          \0\0\0reverse_after_conv\xF2\x06\0\0s\x02\0\0\0\0\x02", null, null]
      function_type: lambda
      name: reverse
      output_shape: null
      output_shape_type: raw
      trainable: true
    inbound_nodes:
    - - [activation_2, 0, 0]
    name: reverse
  - class_name: Merge
    config:
      arguments: {}
      concat_axis: 2
      dot_axes: -1
      mode: concat
      mode_type: raw
      name: merge_1
      output_mask: null
      output_mask_type: raw
      output_shape: null
      output_shape_type: raw
    inbound_nodes:
    - - [activation_1, 0, 0]
      - [reverse, 0, 0]
    name: merge_1
  - class_name: Dropout
    config: {name: dropout_1, p: 0.2, trainable: true}
    inbound_nodes:
    - - [merge_1, 0, 0]
    name: dropout_1
  - class_name: MaxPooling1D
    config: {border_mode: valid, name: maxpooling1d_1, pool_length: 75, stride: 75,
      trainable: true}
    inbound_nodes:
    - - [dropout_1, 0, 0]
    name: maxpooling1d_1
  - class_name: Flatten
    config: {name: flatten_1, trainable: true}
    inbound_nodes:
    - - [maxpooling1d_1, 0, 0]
    name: flatten_1
  - class_name: Dense
    config:
      W_constraint: null
      W_regularizer: null
      activation: linear
      activity_regularizer: null
      b_constraint: null
      b_regularizer: null
      bias: true
      init: glorot_uniform
      input_dim: !!python/object/apply:numpy.core.multiarray.scalar
      - !!python/object/apply:numpy.dtype
        args: [i8, 0, 1]
        state: !!python/tuple [3, <, null, null, null, -1, -1, 0]
      - !!binary |
        oAUAAAAAAAA=
      name: dense_1
      output_dim: 1
      trainable: true
    inbound_nodes:
    - - [flatten_1, 0, 0]
    name: dense_1
  - class_name: Activation
    config: {activation: sigmoid, name: activation_3, trainable: true}
    inbound_nodes:
    - - [dense_1, 0, 0]
    name: activation_3
  name: model_1
  output_layers:
  - [activation_3, 0, 0]
keras_version: 1.2.2
